<div class="table-card-container" fxLayout="column" style="padding 12px">
  <mat-card fxFlex="nogrow">
    <mat-progress-bar
      [loading$]="tableDataSourceDirective.loading$"
      rxapCardProgressBar
    ></mat-progress-bar
    >
    <rxap-table-column-menu #rxapTableColumns="rxapTableColumns" matCard
    >
      <rxap-table-column-option hidden inactive name="removedAt">
        <ng-container i18n>RemovedAt</ng-container>
      </rxap-table-column-option>
      <rxap-table-column-option hidden name="actions">
        <ng-container i18n>Actions</ng-container>
      </rxap-table-column-option>
      <rxap-table-column-option hidden inactive name="_id">
        <ng-container i18n>_id</ng-container>
      </rxap-table-column-option>
      <rxap-table-column-option name="rating">
        <ng-container i18n>Rating</ng-container>
      </rxap-table-column-option>
      <rxap-table-column-option name="restaurant-name">
        <ng-container i18n>Restaurant-name</ng-container>
      </rxap-table-column-option>
      <rxap-table-column-option name="user-username">
        <ng-container i18n>User-username</ng-container>
      </rxap-table-column-option>
      <rxap-table-column-option name="dateOfVisit">
        <ng-container i18n>DateOfVisit</ng-container>
      </rxap-table-column-option>
      <rxap-table-column-option name="comment">
        <ng-container i18n>Comment</ng-container>
      </rxap-table-column-option>
    </rxap-table-column-menu>

    <mat-card-content>
      <table
        #tableDataSourceDirective="rxapTableDataSource"
        [paginator]="paginator"
        [parameters]="parameters"
        id="review"
        mat-table
        rxapTableDataSource
      >
        <!-- region columns -->
        <ng-container matColumnDef="actions" sticky>
          <th *matHeaderCellDef mat-header-cell>
            <div fxLayout="row"></div>
          </th>
          <td *matCellDef="let element" mat-cell>
            <div fxLayout="row">
              <button
                [element]="element"
                [refresh]="true"
                i18n-matTooltip
                mat-icon-button
                matTooltip="Edit review"
                rxapTableRowAction="edit"
              >
                <mat-icon>edit</mat-icon>
                <mat-progress-bar
                  *rxapTableRowActionExecuting
                  mode="indeterminate"
                ></mat-progress-bar>
              </button>

              <button
                [element]="element"
                [refresh]="true"
                color="warn"
                i18n-matTooltip
                mat-icon-button
                matTooltip="Delete review"
                rxapConfirm
                rxapTableRowAction="delete"
              >
                <mat-icon>delete</mat-icon>
                <mat-progress-bar
                  *rxapTableRowActionExecuting
                  mode="indeterminate"
                ></mat-progress-bar>
              </button>
            </div>
          </td
          >
        </ng-container>
        <ng-container matColumnDef="_id">
          <th *matHeaderCellDef mat-header-cell>
            <ng-container i18n>_id</ng-container>
          </th>

          <td *matCellDef="let element" mat-cell>{{ element?._id }}</td>
        </ng-container>
        <ng-container matColumnDef="rating">
          <th *matHeaderCellDef mat-header-cell>
            <ng-container i18n>Rating</ng-container>
          </th>

          <td
            *matCellDef="let element"
            [element]="element"
            [value]="element?.rating"
            mat-cell
            rxap-rating-cell
          ></td>
        </ng-container>
        <ng-container matColumnDef="restaurant-name">
          <th *matHeaderCellDef mat-header-cell>
            <ng-container i18n>Restaurant-name</ng-container>
          </th>

          <td *matCellDef="let element" mat-cell>
            {{ element?.restaurant?.name }}
          </td>
        </ng-container>
        <ng-container matColumnDef="user-username">
          <th *matHeaderCellDef mat-header-cell>
            <ng-container i18n>User-username</ng-container>
          </th>

          <td *matCellDef="let element" mat-cell>
            {{ element?.user?.username }}
          </td>
        </ng-container>
        <ng-container matColumnDef="dateOfVisit">
          <th *matHeaderCellDef mat-header-cell>
            <ng-container i18n>DateOfVisit</ng-container>
          </th>

          <td
            *matCellDef="let element"
            [rxap-date-cell]="element?.dateOfVisit"
            format="dd.MM.yyyy HH:mm:ss"
            mat-cell
          ></td>
        </ng-container>
        <ng-container matColumnDef="comment">
          <th *matHeaderCellDef mat-header-cell>
            <ng-container i18n>Comment</ng-container>
          </th>

          <td *matCellDef="let element" mat-cell>{{ element?.comment }}</td>
        </ng-container>
        <!-- endregion -->
        <tr
          *matHeaderRowDef="rxapTableColumns.displayColumns"
          mat-header-row
        ></tr>

        <tr
          *matRowDef="let element; columns: rxapTableColumns.displayColumns"
          [@rowsAnimation]
          mat-row
        ></tr>
      </table>
    </mat-card-content>

    <mat-card-footer
    >
      <mat-paginator
        #paginator="matPaginator"
        [pageSizeOptions]="[5, 10, 25, 50, 75, 100, 150, 200]"
        [pageSize]="10"
        rxapPersistent
      ></mat-paginator
      >
    </mat-card-footer>
  </mat-card>
</div>
